Pergunta sobre box-api – Quando a Box v1 api deixará de funcionar?

3

Eu estou tentando determinar qual versão do Box api eu deveria usar. Minha decisão depende da linha do tempo da EOL da v1 api. Não quero terminar meu aplicativo e, pouco antes (ou logo após) o lançamento do aplicativo, a v1 api para de funcionar.

Eu ficaria feliz em usar a API v2, mas estou escrevendo um aplicativo C #. Como existe um SDK C # para a API v1, seria mais conveniente (no curto prazo) usar v1 da API; mas como eu disse, estou preocupado com o EOL da v1 api.

Eu percebo que Filburt, mas não há informações no site da caixa sobre esta questão específica. Os fóruns no Box apontam para o StackOverflow. Vance-Turner

Sua resposta

1   a resposta
7

v2 foi disponibilizada geralmente (GA) um ano antes e foi lançada na versão Beta em março de 2012.

Estendemos nosso suporte a todos os aplicativos usados ​​ativamente construídos na v1 API por mais 3 meses, após os quais o suporte à v1 API foi desativado.

A API v2 agora está bem comprovada, tem cerca de 3x o desempenho, bem como 10% a 20% mais de área de superfície que ela expõe para uso.

A API V1 foi suspensa oficialmente em 15 de dezembro de 2013. A documentação sobre como migrar foi publicada no início de 2013 e atualizada até outubro de 2013. Peter
Obrigado pela resposta detalhada. Vance-Turner

Perguntas relacionadas